#ifndef _KPUSHBUT_
#define _KPUSHBUT_


#ifndef _IPUSHBUT_
   #include <ipushbut.hpp>
#endif

class KPushButton : public IPushButton
{
   public:
      KPushButton(unsigned long id,
                  IWindow *wndParent,
                  IWindow *wndOwner,
                  const IRectangle &initial,
                  const IResourceId &resText,
                  const IPushbutton::Style &style = defaultStyle())
        : IPushButton(id, wndParent, wndOwner, initial, style)
      {
         setText(resText);
      }
};

#endif
